<?php namespace Place\Api;
use Dever;
use Place;
use Place\Lib\Main;
class Vip extends Main
{
    #protected $login = true;
    protected $entry = true;

    # 会员列表
    public function list()
    {
        $data = Dever::load('vip', 'place')->getData();
        return Place::result($data);
    }


    # 会员信息
    public function info()
    {
        if (!Place::$uid) {
            $this->showLogin();
        }
        $data = Dever::load('vip', 'place')->getInfo();
        return Place::result($data);
    }

    

    # 购买会员
    public function buy()
    {
        if (!Place::$uid) {
            $this->showLogin();
        }
        return Dever::load('vip', 'place')->pay();
    }
}